Vector::BLF::KLineStatusEvent(3)

NAME
Vector::BLF::KLineStatusEvent - KLINE_STATUSEVENT.

SYNOPSIS

#include <KLineStatusEvent.h>

Inherits Vector::BLF::ObjectHeader.

  Public Types
enum Type : uint16_t { toEcu = 0x8000, mask = 0x7FFF }
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t type {}
BusSystemFacility::VKLineStatusEventType.
uint16_t dataLen {}
number of bytes used in data
uint32_t port {}
channel of event
uint64_t reservedKLineStatusEvent {}
std::array< uint64_t, 3 > data {}
the actual data, but only dataLen BYTES are used!
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

Detailed Description

KLINE_STATUSEVENT.

Member Enumeration Documentation

  enum Vector::BLF::KLineStatusEvent::Type : uint16_t
enumeration for type

Enumerator

toEcu
    If set in type, direction is tester -> ECU

mask
    Use this mask to filter out the type from type

Member Function Documentation

  uint32_t Vector::BLF::KLineStatusEvent::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::KLineStatusEvent::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::KLineStatusEvent::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint64_t Vector::BLF::KLineStatusEvent::reservedKLineStatusEvent {}
reserved

Author

Generated automatically by Doxygen for Vector BLF from the source code.